ibus-gtk3_1.5.11-1ubuntu2.3_amd64.deb


Advertisement

Description

ibus-gtk3 - Intelligent Input Bus - GTK+3 support

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main amd64
Package filename ibus-gtk3_1.5.11-1ubuntu2.3_amd64.deb
Package name ibus-gtk3
Package version 1.5.11
Package release 1ubuntu2.3
Package architecture amd64
Package type deb
Category utils
Homepage https://github.com/ibus/ibus/releases
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 14.44 KB
Installed size 82.00 KB
IBus is an Intelligent Input Bus. It is a new input framework for the Linux
OS. It provides full featured and user friendly input method user interface.
It also may help developers to develop input method easily.
This package contains the GTK+3 IM module.

Alternatives

Package Version Architecture Repository
ibus-gtk3_1.5.11-1ubuntu2.3_i386.deb 1.5.11 i386 Ubuntu Updates Main
ibus-gtk3_1.5.11-1ubuntu2_i386.deb 1.5.11 i386 Ubuntu Main
ibus-gtk3_1.5.11-1ubuntu2_amd64.deb 1.5.11 amd64 Ubuntu Main
ibus-gtk3 - - -

Requires

Name Value
libc6 >= 2.4
libglib2.0-0 >= 2.31.8
libgtk-3-0 >= 3.7.0
libibus-1.0-5 >= 1.5.4
libpango-1.0-0 >= 1.14.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package ibus-gtk3_1.5.11-1ubuntu2.3_amd64.deb
Source Package ibus

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ibus-gtk3 deb package:
    # sudo apt-get install ibus-gtk3

Files

Path
/usr/lib/x86_64-linux-gnu/gtk-3.0/3.0.0/immodules/im-ibus.so
/usr/share/doc/ibus-gtk3/changelog.Debian.gz
/usr/share/doc/ibus-gtk3/copyright
/usr/share/lintian/overrides/ibus-gtk3

Changelog

2019-09-23 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
ibus (1.5.11-1ubuntu2.3) xenial-security; urgency=medium
* SECURITY UPDATE: ibus regression in Qt applications (LP: #1844853)
- debian/patches/CVE-2019-14822.patch: disabled pending further
investigation.
2019-09-11 - Alex Murray <alex.murray@canonical.com>
ibus (1.5.11-1ubuntu2.2) xenial-security; urgency=medium
* SECURITY UPDATE: Lack of access control on DBus socket allows other
local users to make arbitrary method calls
- debian/patches/CVE-2019-14822.patch: Implement GDBusAuthObserver
callback in bus/server.c to add access control to the DBus server
socket
- CVE-2019-14822
2018-04-06 - Olivier Tilloy <olivier.tilloy@canonical.com>
ibus (1.5.11-1ubuntu2.1) xenial; urgency=medium
* debian/patches/ubuntu-conditional-chmod.patch: backport an upstream commit
to make a call to chmod conditional, to avoid apparmor denials for confined
apps (e.g. snaps) that use libibus (LP: #1761585)
2016-01-19 - Iain Lane <iain@orangesquash.org.uk>
ibus (1.5.11-1ubuntu2) xenial; urgency=medium
* debian/ibus.gsettings-override:
- Use system keyboard layout by default (LP: #1240198).
2015-11-30 - Aron Xu <happyaron.xu@gmail.com>
ibus (1.5.11-1ubuntu1) xenial; urgency=medium
* Merge with Debian, remaining changes:
- ubuntu-no-notification.patch: Don't show the notification if not
actually upgrading from a previous version.
- ubuntu-disable-trigger.patch: Disable input method switching
under Unity; it's handled by gnome-settings-daemon.
- ubuntu-forward-panel-properties.patch: Augment the panel service
D-Bus interface so that external consumers can detect when the panel
service properties are changed.
- Switch gnome-icon-theme to adwaita-icon-theme
2015-11-19 - Aron Xu <aron@debian.org>
ibus (1.5.11-1) unstable; urgency=medium
* Replace gnome-icon-theme with adwaita-icon-theme, thanks to Iain Lane
* Imported Upstream version 1.5.11
2015-06-14 - Aron Xu <aron@debian.org>
ibus (1.5.10-1) unstable; urgency=medium
* Imported Upstream version 1.5.10.
* Remove ibus-zz-C.UTF-8.patch, applied upstream.
* Drop python-notify dependency (Closes: #781920).
* Build with python3 only (LP: #1440391).
2014-10-23 - Osamu Aoki <osamu@debian.org>
ibus (1.5.9-1) unstable; urgency=medium
* New upstream release.
2014-10-22 - Osamu Aoki <osamu@debian.org>
ibus (1.5.8-4) unstable; urgency=medium
* Enable M-A. 
2014-10-10 - Osamu Aoki <osamu@debian.org>
ibus (1.5.8-3) unstable; urgency=medium
* Debian jessie has C.UTF-8 but doen't always have en_US.UTF-8.  
Closes: #758385

See Also

Package Description
ibus-gtk_1.5.11-1ubuntu2.3_amd64.deb Intelligent Input Bus - GTK+2 support
ibus-wayland_1.5.11-1ubuntu2.3_amd64.deb Intelligent Input Bus - Wayland support
ibus_1.5.11-1ubuntu2.3_amd64.deb Intelligent Input Bus - core
icu-devtools_55.1-7ubuntu0.4_amd64.deb Development utilities for International Components for Unicode
icu-doc_55.1-7ubuntu0.4_all.deb API documentation for ICU classes and functions
idle-python2.7_2.7.12-1ubuntu0~16.04.9_all.deb IDE for Python (v2.7) using Tkinter
idle-python3.5_3.5.2-2ubuntu0~16.04.9_all.deb IDE for Python (v3.5) using Tkinter
idle_2.7.12-1~16.04_all.deb IDE for Python using Tkinter (default version)
ifupdown_0.8.10ubuntu1.4_amd64.deb high level tools to configure network interfaces
im-config_0.29-1ubuntu12.4_all.deb Input method configuration framework
imagemagick-6.q16_6.8.9.9-7ubuntu5.15_amd64.deb image manipulation programs -- quantum depth Q16
imagemagick-common_6.8.9.9-7ubuntu5.15_all.deb image manipulation programs -- infrastructure
imagemagick-doc_6.8.9.9-7ubuntu5.15_all.deb document files of ImageMagick
imagemagick_6.8.9.9-7ubuntu5.15_amd64.deb image manipulation programs -- binaries
indicator-application_12.10.1+16.04.20170120-0ubuntu1_amd64.deb Application Indicators
Advertisement
Advertisement